;
; Utils.
;

;
; Output the byte in a as 2 hex digits
;
.OutHexByte
	pha
	pha
;	and	#&F0		; Do MSN first
	lsra			; Move to bottom nibble
	lsra
	lsra
	lsra
	jsr	OutHexDigit	; Print it
	pla			; Recover byte to print
;	and	#&0F		; Do LSN next
	jsr	OutHexDigit	; Print it
	pla
	rts
	
;
; Output the lower nibble of a as a hex digit
;

.OutHexDigit
	pha
	and	#&0F		; Make sure it's in range
	cmp	#&0a		; Should it be a letter ?
	bcs	OutLetter
	clc
	adc	#&30		; add code for 0
	jmp	DoOutDigit
.OutLetter
	clc
	adc	#&37		; add code for A-10
	
.DoOutDigit
	jsr	OSASCI		; print it
	pla
	rts
	
;
; Output an EOL sequence.
;

.OutEOL
	pha			; save a
	lda	#LF		; Output CR/LF
	jmp	DoOutDigit
	