;
; Text messages.
;

.HelpText
;	EQUB	LF
	EQUS	"RamUtils V0.98 ",Null
.DateTime
	INCLUDE "DateTime.asm"
	EQUS	" ",Null
.HelpRomNo
	EQUS	"(",Null
.AsciiRomNo	
	EQUS	")"
	EQUB	LF,Null
.HelpTextSections
	EQUS    "  RAMUTILS",LF,Null

;                12345678901234567890123456789012345678901234567890123456789012345678901234567890
.HelpTextCommands
	EQUS	"  SRZAP  <id> (<id>)",LF
	EQUS	"  SRCOPY <source id> <dest id>",LF
	EQUS	"  SRCMP  <source id> <dest id> (<start addr>) (<end addr>)",LF
	EQUS	"  SRLOAD <filename> <addr> <id> (<Q|S>) (<I>)",LF
	EQUS	"  SRSAVE <filename> <StartAddr> <EndAddr> <id> (<Q|S>)",LF
	EQUS	"  SRREAD <source start> <source end> <sram start> <id>",LF
	EQUS	"  SRWRITE <source start> <source end> <sram start> <id>",LF
	EQUS	"  ROMS (<id>) (<id>)",LF
	EQUS	"  RESET",LF
	EQUS	"  NOP",LF
	EQUS	"End addresses may be replaced by +<length>",LF
	EQUB	Null

.TextMessBase

.TextNOP
	EQUS    "NOP!",LF,Null

.ParamErrorMess
	EQUS	"Parameter error",LF,Null
	
.SramAddrErrorMess
	EQUS	"SRAM address out of range",LF,Null

.BadSRIdMess
	EQUS	"Bad SRAM id, must be 0..F",LF,Null
	
.FileNotFoundMess
	EQUS	"File not found",LF,Null
	
.FiletooBigMess
	EQUS	"File too big",LF,Null
	
.IOErrorMess
	EQUS	"IO Error",LF,Null
	
.RomNoMess
	EQUS	"Rom #",Null

.RomParamMess
	EQUS	" (",Null
	
.RomParam2Mess
	EQUS	") [",Null
	
.RomParam3Mess
	EQUS	"] ",Null
